JD2022-TU1/main/extern/Hue/tools/simulator/install_client.sh

13 lines
432 B
Bash

if [ "$EUID" -eq 0 ]
then echo "Please do NOT run as root"
exit
fi
hash git 2>/dev/null || { echo >&2 "I require git but it's not installed. Aborting."; exit 1; }
hash node 2>/dev/null || { echo >&2 "I require node but it's not installed. Aborting."; exit 1; }
hash bower 2>/dev/null || { echo >&2 "I require bower but it's not installed. (run install_server.sh first) Aborting."; exit 1; }
cd client
bower install
cd ..